Subject: [PATCH 5/5] arm/perfevents: implement perf event support for ARMv6

From: [email-masked] (Will Deacon)
Date: Fri, 22 Jan 2010 15:25:08 -0000

Hi Jean,

* Jean Pihet wrote:

> > So, in response to your question, I reckon you should wrap the switch
> > statement with the implementer check, but add a DIDR check in the else
> > block so that cores with a v7 PMU will at least get support for the
> > standard events.
> That makes sense. Are such chipsets already out or planned in the near future?

Well, it's basically for supporting any v7 core that isn't designed by ARM.
I don't know if any such cores are supported by [mainline] Linux yet, but I'm
sure they'll turn up.

> I propose to have the current code working and merged in before supporting the
> generic v7 cores. Doing so requires to add new set of events mappings.
> 
> What do you think?

That makes sense. A8 is probably the most popular v7 core at the moment, so
supporting that should be the priority.

Cheers,

Will